﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace CCRServer
{
	public partial class AddTrain : Form
	{
		public int TrainAddress { get; set; }
		public int TrainLocation { get; set; }
		public int TrainOrientation { get; set; }

		public AddTrain()
		{
			InitializeComponent();
		}

		private void onCancelClick(object sender, EventArgs e)
		{
			DialogResult = DialogResult.Cancel;
			Close();
		}
		private void onConfirmClick(object sender, EventArgs e)
		{
			if (tbAddress.Text != string.Empty && tbLocation.Text != string.Empty)
			{
				TrainAddress = Convert.ToInt32(tbAddress.Text);
				TrainLocation = Convert.ToInt32(tbLocation.Text);

				if (rbLeft.Checked)
				{
					TrainOrientation = GLOBALS.LEFT;
				}
				else
				{
					TrainOrientation = GLOBALS.RIGHT;
				}
				DialogResult = DialogResult.OK;
				Close();
			}
			else
			{
				MessageBox.Show("Please provide all information to add a train.", "Error");
			}
		}
		private void onKeyPress(object sender, KeyPressEventArgs e)
		{
			if (char.IsDigit(e.KeyChar) || char.IsControl(e.KeyChar))
			{
				e.Handled = false;	//Do not reject the input
			}
			else
			{
				e.Handled = true;	//Reject the input
			}
		}
	}
}
