﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace CCRServer
{
	public partial class DeleteTrain : Form
	{
		public int TrainAddress { get; set; }

		public DeleteTrain()
		{
			InitializeComponent();
		}

		private void onCancelClick(object sender, EventArgs e)
		{
			DialogResult = DialogResult.Cancel;
			Close();
		}
		private void onConfirmClick(object sender, EventArgs e)
		{
			if (tbAddress.Text != string.Empty)
			{
				TrainAddress = Convert.ToInt32(tbAddress.Text);
				DialogResult = DialogResult.OK;
				Close();
			}
			else
			{
				MessageBox.Show("Please enter an address to delete a train.", "Error");
			}
		}
		private void onKeyPress(object sender, KeyPressEventArgs e)
		{
			if (char.IsDigit(e.KeyChar) || char.IsControl(e.KeyChar))
			{
				e.Handled = false;  //Do not reject the input
			}
			else
			{
				e.Handled = true;   //Reject the input
			}
		}
	}
}
